/************************************************************************
 *   IRC - Internet Relay Chat, modules/database/database.h
 *   This file is copyright (C) 2001 Andrew Suffield
 *                                    <asuffield@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include "config.h"

#ifdef STATIC_MODULES
extern struct module_handle *database_init(void);
#endif

struct client_connect_record;
struct ip_drop_record;
struct Client;

extern struct client_connect_record *find_prevalent_allow_ccr(const char *);
extern struct client_connect_record *find_prevalent_deny_ccr(const char *);

extern int store_allow_ccr(struct client_connect_record *);
extern int store_deny_ccr(struct client_connect_record *);

extern int search_allow_ccr(struct Client *, char *, int);
extern int search_deny_ccr(struct Client *, char *, int);

extern int delete_allow_ccr(struct Client *, char *);
extern int delete_deny_ccr(struct Client *, char *);

extern int add_ip_drop(struct ip_drop_record *);
extern int del_ip_drop(struct ip_drop_record *);
extern int load_ip_drops(void);
extern int search_ip_drops(struct Client *, char *);

extern void report_dlines(struct Client *sptr);
